/** 打包后修改min.js其中内容用 */

const fs = require('fs')
const rimraf = require('rimraf')
const file = './dist/component-lib.min.js'

fs.readFile(file, 'utf-8', (err, data) => {
  if (err) return console.error(err)
  const newData = data.replace('var ComponentLib=', 'export default ').replace('(Vue);', '')
  rimraf(file, err => {
    if (err) return console.error(err)
    fs.writeFile(file, newData, 'utf-8', err => {
      if (err) return console.error(err)
    })
  })
})